title: Product
tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              validate:
                - required
          -
            handle: full_list
            field:
              display: 'Full List'
              type: replicator
              always_save: false
              validate:
                - required
              sets:
                new_set:
                  display: 'New Set'
                  fields:
                    -
                      handle: title
                      field:
                        input_type: text
                        antlers: false
                        display: Title
                        type: text
                        icon: text
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
                    -
                      handle: elements
                      field:
                        display: Elements
                        type: list
                        icon: list
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
  seo:
    display: SEO
    sections:
      -
        fields:
          -
            handle: seo_title
            field:
              type: text
              width: 50
              display: 'Seo Title En'
              always_save: false
          -
            handle: seo_title_ar
            field:
              display: 'Seo Title Ar'
              type: text
              width: 50
              always_save: false
          -
            handle: description
            field:
              display: 'Description En'
              type: textarea
              width: 50
              always_save: false
          -
            handle: description_ar
            field:
              display: 'Description Ar'
              type: textarea
              width: 50
              always_save: false
          -
            handle: meta_tags
            field:
              mode_selectable: false
              display: 'Meta Tags En'
              type: code
              width: 50
              always_save: false
          -
            handle: meta_tags_ar
            field:
              mode_selectable: false
              display: 'Meta Tags Ar'
              type: code
              width: 50
              always_save: false
  # course_content:
  #   display: 'Course Content'
  #   sections:
  #     -
  #       fields:
  #         -
  #           handle: training_classes_ar
  #           field:
  #             display: 'Training classes Ar'
  #             type: replicator
  #             always_save: false
  #             validate:
  #               - required
  #             sets:
  #               main:
  #                 display: Main
  #                 sets:
  #                   new_set:
  #                     display: 'New Set'
  #                     fields:
  #                       -
  #                         handle: title
  #                         field:
  #                           display: Title
  #                           type: text
  #                           always_save: false
  #                           validate:
  #                             - required
  #                       -
  #                         handle: lessons
  #                         field:
  #                           display: Lessons
  #                           type: replicator
  #                           always_save: false
  #                           validate:
  #                             - required
  #                           sets:
  #                             main:
  #                               display: Main
  #                               sets:
  #                                 new_set:
  #                                   display: 'New Set'
  #                                   fields:
  #                                     -
  #                                       handle: name_lesson
  #                                       field:
  #                                         display: 'Name Lesson'
  #                                         type: text
  #                                         width: 33
  #                                         always_save: false
  #                                         validate:
  #                                           - required
  #                                     -
  #                                       handle: lecture_duration
  #                                       field:
  #                                         display: 'Lecture duration'
  #                                         type: text
  #                                         always_save: false
  #                                         validate:
  #                                           - required
  #                                         width: 33
  #                                     -
  #                                       handle: is_open
  #                                       field:
  #                                         display: 'Is Open'
  #                                         type: toggle
  #                                         always_save: false
  #                                         width: 33
  #                                     -
  #                                       handle: files
  #                                       field:
  #                                         container: assets
  #                                         display: Files
  #                                         type: assets
  #                                         always_save: false
  #                                         width: 75
  #                                     -
  #                                       handle: has_file
  #                                       field:
  #                                         display: 'Has File'
  #                                         type: toggle
  #                                         always_save: false
  #                                         width: 25
  #                                     -
  #                                       handle: link_video
  #                                       field:
  #                                         display: 'Link Video'
  #                                         type: video
  #                                         always_save: false
  #                                         placeholder: 'Youtube or Drive'
  #                                         validate:
  #                                           - required
  arabic:
    display: Arabic
    sections:
      -
        fields:
          -
            handle: title_ar
            field:
              display: 'Title Ar'
              type: text
              always_save: false
              validate:
                - required
          -
            handle: full_list_ar
            field:
              display: 'Full List Ar'
              type: replicator
              always_save: false
              validate:
                - required
              sets:
                new_set:
                  display: 'New Set'
                  fields:
                    -
                      handle: title
                      field:
                        input_type: text
                        antlers: false
                        display: Title
                        type: text
                        icon: text
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                    -
                      handle: elements
                      field:
                        display: Elements
                        type: list
                        icon: list
                        listable: hidden
                        instructions_position: above
                        visibility: visible
                        always_save: false
                        validate:
                          - required
  sidebar:
    display: Sidebar
    sections:
      -
        fields:
          -
            handle: slug
            field:
              type: slug
              localizable: true
              validate: 'max:200'
          -
            handle: product_system_field
            field:
              display: 'Product System'
              type: product_system
              always_save: false
              endpoint_type: product
              endpoint: Course
              validate:
                - required
          -
            handle: assets_field
            field:
              container: assets
              max_files: 1
              display: 'Assets Field'
              type: assets
              always_save: false
              validate:
                - required
                - image
          -
            handle: category
            field:
              create: false
              collections:
                - categories
              display: Category
              type: entries
              always_save: false
              validate:
                - required
